
import com.ibm.websphere.sca.Service;
import com.ibm.websphere.sca.Ticket;
import commonj.sdo.DataObject;
import com.ibm.websphere.sca.ServiceManager;

public class Component2Impl {
	/**
	 * Default constructor.
	 */
	public Component2Impl() {
		super();
	}

	/**
	 * Return a reference to the component service instance for this implementation
	 * class.  This method should be used when passing this service to a partner reference
	 * or if you want to invoke this component service asynchronously.    
	 *
	 * @generated (com.ibm.wbit.java)
	 */
	@SuppressWarnings("unused")
	private Object getMyService() {
		return (Object) ServiceManager.INSTANCE.locateService("self");
	}

	/**
	 * This method is used to locate the service for the reference
	 * named "JDBCOutboundInterfacePartner".  This will return an instance of 
	 * {@link com.ibm.websphere.sca.Service}.  This is the dynamic
	 * interface which is used to invoke operations on the reference service
	 * either synchronously or asynchronously.  You will need to pass the operation
	 * name in order to invoke an operation on the service.
	 *
	 * @generated (com.ibm.wbit.java)
	 *
	 * @return Service
	 */
	public Service locateService_JDBCOutboundInterfacePartner() {
		return (Service) ServiceManager.INSTANCE
				.locateService("JDBCOutboundInterfacePartner");
	}

	/**
	 * Method generated to support implemention of operation "invoke" defined for WSDL port type 
	 * named "CustomerInterface".
	 * 
	 * The presence of commonj.sdo.DataObject as the return type and/or as a parameter 
	 * type conveys that its a complex type. Please refer to the WSDL Definition for more information 
	 * on the type of input, output and fault(s).
	 */
	public void invoke(DataObject input1) {
		
		Service customerService = locateService_JDBCOutboundInterfacePartner();
		//Check the verb and call the appropriate method on JDBCOutboundInterface
		String verb = input1.getString("verb");
		String objType = input1.getType().getName();
		System.out.println("!!!!!!!!!!!!!!objType="+objType);
		if (verb.equalsIgnoreCase("create"))
		{
			
			customerService.invoke("create" + objType, input1);
		}
		if (verb.equalsIgnoreCase("update"))
		{
			customerService.invoke("update" + objType, input1);
		}
		if (verb.equalsIgnoreCase("delete"))
		{
			customerService.invoke("delete" + objType, input1);
		}
		if (verb == null || verb.equals(""))
		{
			customerService.invoke("retrieve" + objType, input1);
		}
	}


	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#createJabdullaA_CustomerBG(DataObject createJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onCreateJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#updateJabdullaA_CustomerBG(DataObject updateJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onUpdateJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#deleteJabdullaA_CustomerBG(DataObject deleteJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onDeleteJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#retrieveJabdullaA_CustomerBG(DataObject retrieveJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onRetrieveJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#retrieveallJabdullaA_CustomerBG(DataObject retrieveallJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onRetrieveallJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#applychangesJabdullaA_CustomerBG(DataObject applychangesJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onApplychangesJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

	/**
	 * Method generated to support the async implementation using callback
	 * for the operation "JDBCOutboundInterface#existsJabdullaA_CustomerBG(DataObject existsJabdullaACustomerBGInput)"
	 * of wsdl interface "JDBCOutboundInterface"	
	 */
	public void onExistsJabdullaA_CustomerBGResponse(Ticket __ticket,
			DataObject returnValue, Exception exception) {
		//TODO Needs to be implemented.
	}

}